Переполнение буфера в 3proxy

Дата публикации:
23.04.2007
Всего просмотров:
2167
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
3proxy 0.x
Уязвимые версии: 3proxy версии до 0.5.3h.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке прозрачных запросов. Удаленный пользователь может послать уязвимому серверу специально сформированный запрос и выполнить произвольный код на целевой системе.

URL производителя: 3proxy.ru

Решение: Установите последнюю версию (0.5.3h) с сайта производителя.

или введите имя

CAPTCHA
1
24-04-2007 09:50:23
А вот нефиг было использовать sprintf и прочие - "мол, я же предварительно проверяю"...
0 |
24-04-2007 14:10:40
Откуда ты знаешь что дефект в sprintf функции?
0 |